🔖 Moving to bugfix-2.1.x

This commit is contained in:
Scott Lahteine 2022-06-03 23:50:20 -05:00
parent 8aca38351c
commit d08223429b
18 changed files with 38 additions and 38 deletions

View file

@ -14,13 +14,13 @@ body:
## Before Reporting a Bug ## Before Reporting a Bug
- Read and understand Marlin's [Code of Conduct](https://github.com/MarlinFirmware/Marlin/blob/bugfix-2.0.x/.github/code_of_conduct.md). You are expected to comply with it, including treating everyone with respect. - Read and understand Marlin's [Code of Conduct](https://github.com/MarlinFirmware/Marlin/blob/bugfix-2.1.x/.github/code_of_conduct.md). You are expected to comply with it, including treating everyone with respect.
- Test with the [`bugfix-2.0.x` branch](https://github.com/MarlinFirmware/Marlin/archive/bugfix-2.0.x.zip) to see whether the issue still exists. - Test with the [`bugfix-2.1.x` branch](https://github.com/MarlinFirmware/Marlin/archive/bugfix-2.1.x.zip) to see whether the issue still exists.
## Instructions ## Instructions
Please follow the instructions below. Failure to do so may result in your issue being closed. See [Contributing to Marlin](https://github.com/MarlinFirmware/Marlin/blob/bugfix-2.0.x/.github/contributing.md) for additional guidelines. Please follow the instructions below. Failure to do so may result in your issue being closed. See [Contributing to Marlin](https://github.com/MarlinFirmware/Marlin/blob/bugfix-2.1.x/.github/contributing.md) for additional guidelines.
1. Provide a good title starting with [BUG]. 1. Provide a good title starting with [BUG].
2. Fill out all sections of this bug report form. 2. Fill out all sections of this bug report form.
@ -28,10 +28,10 @@ body:
- type: dropdown - type: dropdown
attributes: attributes:
label: Did you test the latest `bugfix-2.0.x` code? label: Did you test the latest `bugfix-2.1.x` code?
description: >- description: >-
Always try the latest code to make sure the issue you are reporting is not already fixed. To download Always try the latest code to make sure the issue you are reporting is not already fixed. To download
the latest code just [click this link](https://github.com/MarlinFirmware/Marlin/archive/bugfix-2.0.x.zip). the latest code just [click this link](https://github.com/MarlinFirmware/Marlin/archive/bugfix-2.1.x.zip).
options: options:
- Yes, and the problem still exists. - Yes, and the problem still exists.
- No, but I will test it now! - No, but I will test it now!

View file

@ -17,7 +17,7 @@ body:
- Read and understand Marlin's [Code of Conduct](https://github.com/MarlinFirmware/Marlin/blob/master/.github/code_of_conduct.md). You are expected to comply with it, including treating everyone with respect. - Read and understand Marlin's [Code of Conduct](https://github.com/MarlinFirmware/Marlin/blob/master/.github/code_of_conduct.md). You are expected to comply with it, including treating everyone with respect.
- Check the latest [`bugfix-2.0.x` branch](https://github.com/MarlinFirmware/Marlin/archive/bugfix-2.0.x.zip) to see if the feature already exists. - Check the latest [`bugfix-2.1.x` branch](https://github.com/MarlinFirmware/Marlin/archive/bugfix-2.1.x.zip) to see if the feature already exists.
- Before you proceed with your request, please consider if it is necessary to make it into a firmware feature, or if it may be better suited for a slicer or host feature. - Before you proceed with your request, please consider if it is necessary to make it into a firmware feature, or if it may be better suited for a slicer or host feature.

View file

@ -116,7 +116,7 @@ Unsure where to begin contributing to Marlin? You can start by looking through t
### Pull Requests ### Pull Requests
Pull Requests should always be targeted to working branches (e.g., `bugfix-2.0.x` and/or `bugfix-1.1.x`) and never to release branches (e.g., `2.0.x` and/or `1.1.x`). If this is your first Pull Request, please read our [Guide to Pull Requests](https://marlinfw.org/docs/development/getting_started_pull_requests.html) and Github's [Pull Request](https://help.github.com/articles/creating-a-pull-request/) documentation. Pull Requests should always be targeted to working branches (e.g., `bugfix-2.1.x` and/or `bugfix-1.1.x`) and never to release branches (e.g., `2.0.x` and/or `1.1.x`). If this is your first Pull Request, please read our [Guide to Pull Requests](https://marlinfw.org/docs/development/getting_started_pull_requests.html) and Github's [Pull Request](https://help.github.com/articles/creating-a-pull-request/) documentation.
* Fill in [the required template](pull_request_template.md). * Fill in [the required template](pull_request_template.md).
* Don't include issue numbers in the PR title. * Don't include issue numbers in the PR title.

View file

@ -18,10 +18,10 @@ jobs:
steps: steps:
- name: Check out bugfix-2.0.x - name: Check out bugfix-2.1.x
uses: actions/checkout@v2 uses: actions/checkout@v2
with: with:
ref: bugfix-2.0.x ref: bugfix-2.1.x
- name: Bump Distribution Date - name: Bump Distribution Date
run: | run: |

View file

@ -26,8 +26,8 @@ jobs:
comment: > comment: >
Thanks for your contribution! Unfortunately we can't accept PRs directed at release branches. We make patches to the bugfix branches and only later do we push them out as releases. Thanks for your contribution! Unfortunately we can't accept PRs directed at release branches. We make patches to the bugfix branches and only later do we push them out as releases.
Please redo this PR starting with the `bugfix-2.0.x` branch and be careful to target `bugfix-2.0.x` when resubmitting the PR. Please redo this PR starting with the `bugfix-2.1.x` branch and be careful to target `bugfix-2.1.x` when resubmitting the PR.
It may help to set your fork's default branch to `bugfix-2.0.x`. It may help to set your fork's default branch to `bugfix-2.1.x`.
See [this page](http://marlinfw.org/docs/development/getting_started_pull_requests.html) for full instructions. See [this page](http://marlinfw.org/docs/development/getting_started_pull_requests.html) for full instructions.

View file

@ -8,7 +8,7 @@ name: CI
on: on:
pull_request: pull_request:
branches: branches:
- bugfix-2.0.x - bugfix-2.1.x
paths-ignore: paths-ignore:
- config/** - config/**
- data/** - data/**
@ -16,7 +16,7 @@ on:
- '**/*.md' - '**/*.md'
push: push:
branches: branches:
- bugfix-2.0.x - bugfix-2.1.x
paths-ignore: paths-ignore:
- config/** - config/**
- data/** - data/**

View file

@ -28,7 +28,7 @@
/** /**
* Marlin release version identifier * Marlin release version identifier
*/ */
//#define SHORT_BUILD_VERSION "bugfix-2.0.x" //#define SHORT_BUILD_VERSION "bugfix-2.1.x"
/** /**
* Verbose version identifier which should contain a reference to the location * Verbose version identifier which should contain a reference to the location

View file

@ -25,7 +25,7 @@
* Release version. Leave the Marlin version or apply a custom scheme. * Release version. Leave the Marlin version or apply a custom scheme.
*/ */
#ifndef SHORT_BUILD_VERSION #ifndef SHORT_BUILD_VERSION
#define SHORT_BUILD_VERSION "bugfix-2.0.x" #define SHORT_BUILD_VERSION "bugfix-2.1.x"
#endif #endif
/** /**

View file

@ -1,6 +1,6 @@
# DWIN for Creality Ender 3 v2 # DWIN for Creality Ender 3 v2
Marlin's Ender 3 v2 support requires the `DWIN_SET` included with the Ender 3 V2 [example configuration](https://github.com/MarlinFirmware/Configurations/tree/bugfix-2.0.x/config/examples/Creality/Ender-3%20V2). Marlin's Ender 3 v2 support requires the `DWIN_SET` included with the Ender 3 V2 [example configuration](https://github.com/MarlinFirmware/Configurations/tree/bugfix-2.1.x/config/examples/Creality/Ender-3%20V2).
## Easy Install ## Easy Install

View file

@ -1,6 +1,6 @@
# DWIN for Creality Ender 3 v2 # DWIN for Creality Ender 3 v2
Marlin's Ender 3 v2 support requires the `DWIN_SET` included with the Ender 3 V2 [example configuration](https://github.com/MarlinFirmware/Configurations/tree/bugfix-2.0.x/config/examples/Creality/Ender-3%20V2). Marlin's Ender 3 v2 support requires the `DWIN_SET` included with the Ender 3 V2 [example configuration](https://github.com/MarlinFirmware/Configurations/tree/bugfix-2.1.x/config/examples/Creality/Ender-3%20V2).
## Easy Install ## Easy Install

View file

@ -64,7 +64,7 @@
// Z Probe // Z Probe
// //
#if ENABLED(BLTOUCH) #if ENABLED(BLTOUCH)
#error "You will need to use 24V to 5V converter and remove one resistor and capacitor from the motherboard. See https://github.com/davidtgbe/Marlin/blob/bugfix-2.0.x/docs/Tutorials/bltouch-en.md for more information. Comment out this line to proceed at your own risk." #error "You will need to use 24V to 5V converter and remove one resistor and capacitor from the motherboard. See https://bit.ly/3xg9cXO for more information. Comment out this line to proceed at your own risk."
#define SERVO0_PIN PC3 #define SERVO0_PIN PC3
#elif !defined(Z_MIN_PROBE_PIN) #elif !defined(Z_MIN_PROBE_PIN)
#define Z_MIN_PROBE_PIN PC3 #define Z_MIN_PROBE_PIN PC3

View file

@ -59,7 +59,7 @@ Marlin 2.0 introduces a layer of abstraction so that all the existing high-level
## Submitting Patches ## Submitting Patches
Proposed patches should be submitted as a Pull Request against the ([bugfix-2.0.x](https://github.com/MarlinFirmware/Marlin/tree/bugfix-2.0.x)) branch. Proposed patches should be submitted as a Pull Request against the ([bugfix-2.1.x](https://github.com/MarlinFirmware/Marlin/tree/bugfix-2.1.x)) branch.
- This branch is for fixing bugs and integrating any new features for the duration of the Marlin 2.0.x life-cycle. - This branch is for fixing bugs and integrating any new features for the duration of the Marlin 2.0.x life-cycle.
- Follow the [Coding Standards](https://marlinfw.org/docs/development/coding_standards.html) to gain points with the maintainers. - Follow the [Coding Standards](https://marlinfw.org/docs/development/coding_standards.html) to gain points with the maintainers.

View file

@ -2,7 +2,7 @@
IFS=: read -r PART1 PART2 <<< "$@" IFS=: read -r PART1 PART2 <<< "$@"
[ -n "${PART2}" ] && { REPO="$PART1" ; RDIR="${PART2// /%20}" ; } \ [ -n "${PART2}" ] && { REPO="$PART1" ; RDIR="${PART2// /%20}" ; } \
|| { REPO=bugfix-2.0.x ; RDIR="${PART1// /%20}" ; } || { REPO=bugfix-2.1.x ; RDIR="${PART1// /%20}" ; }
EXAMPLES="https://raw.githubusercontent.com/MarlinFirmware/Configurations/$REPO/config/examples" EXAMPLES="https://raw.githubusercontent.com/MarlinFirmware/Configurations/$REPO/config/examples"
which curl >/dev/null && TOOL='curl -L -s -S -f -o wgot' which curl >/dev/null && TOOL='curl -L -s -S -f -o wgot'

View file

@ -35,7 +35,7 @@ COMMIT_STEPS=0
ACTION=${1:-init} ACTION=${1:-init}
IMPORT=${2:-"import-2.0.x"} IMPORT=${2:-"import-2.0.x"}
EXPORT=${3:-"bugfix-2.0.x"} EXPORT=${3:-"bugfix-2.1.x"}
echo -n "Doing grhh ... " ; grhh ; echo echo -n "Doing grhh ... " ; grhh ; echo
@ -52,7 +52,7 @@ if [[ $ACTION == "manual" ]]; then
git checkout $IMPORT || exit git checkout $IMPORT || exit
# Reset from the latest complete state # Reset from the latest complete state
#git reset --hard bugfix-2.0.x #git reset --hard bugfix-2.1.x
cp "$MARLINREPO/Marlin/"Configuration*.h "$CDEF/" cp "$MARLINREPO/Marlin/"Configuration*.h "$CDEF/"
#git add . && git commit -m "Changes from Marlin ($(date '+%Y-%m-%d %H:%M'))." #git add . && git commit -m "Changes from Marlin ($(date '+%Y-%m-%d %H:%M'))."

View file

@ -3,7 +3,7 @@
# mffp [1|2] [ref] # mffp [1|2] [ref]
# #
# Push the given commit (or HEAD) upstream immediately. # Push the given commit (or HEAD) upstream immediately.
# By default: `git push upstream HEAD:bugfix-2.0.x` # By default: `git push upstream HEAD:bugfix-2.1.x`
# #
usage() { echo "usage: `basename $0` [1|2] [ref]" 1>&2 ; } usage() { echo "usage: `basename $0` [1|2] [ref]" 1>&2 ; }

View file

@ -7,13 +7,13 @@
# - Remote (upstream) Org name (MarlinFirmware) # - Remote (upstream) Org name (MarlinFirmware)
# - Remote (origin) Org name (your Github username) # - Remote (origin) Org name (your Github username)
# - Repo Name (Marlin, MarlinDocumentation) # - Repo Name (Marlin, MarlinDocumentation)
# - PR Target branch (e.g., bugfix-2.0.x) # - PR Target branch (e.g., bugfix-2.1.x)
# - Branch Arg (the branch argument or current branch) # - Branch Arg (the branch argument or current branch)
# - Current Branch # - Current Branch
# #
# Example output # Example output
# > mfinfo -q ongoing # > mfinfo -q ongoing
# MarlinFirmware john.doe Marlin bugfix-2.0.x ongoing bugfix-2.0.x -q # MarlinFirmware john.doe Marlin bugfix-2.1.x ongoing bugfix-2.1.x -q
# #
CURR=$(git branch 2>/dev/null | grep ^* | sed 's/\* //g') CURR=$(git branch 2>/dev/null | grep ^* | sed 's/\* //g')
@ -55,7 +55,7 @@ while [[ $# -gt 0 ]]; do
done done
case "$REPO" in case "$REPO" in
Marlin ) TARG=bugfix-2.0.x ; ((INDEX == 1)) && TARG=bugfix-1.1.x ; [[ $BRANCH =~ ^[12]$ ]] && USAGE=1 ;; Marlin ) TARG=bugfix-2.1.x ; ((INDEX == 1)) && TARG=bugfix-1.1.x ; [[ $BRANCH =~ ^[12]$ ]] && USAGE=1 ;;
Configurations ) TARG=import-2.0.x ;; Configurations ) TARG=import-2.0.x ;;
MarlinDocumentation ) TARG=master ;; MarlinDocumentation ) TARG=master ;;
AutoBuildMarlin ) TARG=master ;; AutoBuildMarlin ) TARG=master ;;

View file

@ -2,11 +2,11 @@
# #
# mfprep tag1 [tag2] # mfprep tag1 [tag2]
# #
# Find commits in bugfix-2.0.x that are not yet in 2.0.x. # Find commits in bugfix-2.1.x that are not yet in 2.0.x.
# #
# Specify a version tag to start from, and optional version tag to end at. # Specify a version tag to start from, and optional version tag to end at.
# For bugfix-2.0.x the tag will be prefixed by bf- to distinguish it from the version tag, # For bugfix-2.1.x the tag will be prefixed by dev- to distinguish it from the version tag,
# so at every release be sure to create a bf- tag and publish it to origin. # so at every release be sure to create a dev- tag and publish it to origin.
# #
SED=$(which gsed sed | head -n1) SED=$(which gsed sed | head -n1)
@ -22,12 +22,12 @@ DEST=2.1.x
# Validate that the required tags exist # Validate that the required tags exist
MTAG=`git tag | grep -e "^bf-$TAG1\$"` MTAG=`git tag | grep -e "^dev-$TAG1\$"`
[[ -n "$MTAG" ]] || { echo "Can't find tag bf-$TAG1" ; exit 1 ; } [[ -n "$MTAG" ]] || { echo "Can't find tag dev-$TAG1" ; exit 1 ; }
MTAG=`git tag | grep -e "^$TAG1\$"` MTAG=`git tag | grep -e "^$TAG1\$"`
[[ -n "$MTAG" ]] || { echo "Can't find tag $TAG1" ; exit 1 ; } [[ -n "$MTAG" ]] || { echo "Can't find tag $TAG1" ; exit 1 ; }
# Generate log of recent commits for bugfix-2.0.x and DEST # Generate log of recent commits for bugfix-2.1.x and DEST
TMPDIR=`mktemp -d` TMPDIR=`mktemp -d`
LOGB="$TMPDIR/log-bf.txt" LOGB="$TMPDIR/log-bf.txt"
@ -35,11 +35,11 @@ LOG2="$TMPDIR/log-2x.txt"
TMPF="$TMPDIR/tmp.txt" TMPF="$TMPDIR/tmp.txt"
SCRF="$TMPDIR/update-$DEST.sh" SCRF="$TMPDIR/update-$DEST.sh"
git checkout bugfix-2.0.x git checkout bugfix-2.1.x
git log --pretty="[%h] %s" bf-$TAG1..$TAG2 | grep -v '\[cron\]' | $SED '1!G;h;$!d' >"$LOGB" git log --pretty="[%h] %s" dev-$TAG1..$TAG2 | grep -v '\[cron\]' | $SED '1!G;h;$!d' >"$LOGB"
git checkout $DEST git checkout $DEST
git log --pretty="[%h] %s" $TAG1..$TAG2 | $SED '1!G;h;$!d' >"$LOG2" || { echo "Can't find tag bf-$TAG1" ; exit 1 ; } git log --pretty="[%h] %s" $TAG1..$TAG2 | $SED '1!G;h;$!d' >"$LOG2" || { echo "Can't find tag dev-$TAG1" ; exit 1 ; }
# Go through commit text from DEST removing all matches from the bugfix log # Go through commit text from DEST removing all matches from the bugfix log

View file

@ -2,8 +2,8 @@
Marlin configurations for specific machines are now maintained in their own repository at: Marlin configurations for specific machines are now maintained in their own repository at:
## https://github.com/MarlinFirmware/Configurations/tree/bugfix-2.0.x ## https://github.com/MarlinFirmware/Configurations/tree/bugfix-2.1.x
Configuration files for use with the nightly `bugfix-2.0.x` branch can be downloaded from: Configuration files for use with the nightly `bugfix-2.1.x` branch can be downloaded from:
## https://github.com/MarlinFirmware/Configurations/archive/bugfix-2.0.x.zip ## https://github.com/MarlinFirmware/Configurations/archive/bugfix-2.1.x.zip